import ReconnectingWebSocket, { Options, UrlProvider } from 'reconnecting-websocket';
export declare class SimpleWsClient extends ReconnectingWebSocket {
    private _alive;
    on: <T extends keyof import("reconnecting-websocket/dist/events").WebSocketEventListenerMap>(type: T, listener: import("reconnecting-websocket/dist/events").WebSocketEventListenerMap[T]) => void;
    off: <T extends keyof import("reconnecting-websocket/dist/events").WebSocketEventListenerMap>(type: T, listener: import("reconnecting-websocket/dist/events").WebSocketEventListenerMap[T]) => void;
    constructor(url: UrlProvider, protocols?: string | string[], options?: Options);
    sendMessage<D = undefined>(type: string, data: D): void;
    onMessage<D = undefined>(type: string, callback: (data: D) => void): () => void;
}
