import { Server as WsServer, ServerOptions } from 'ws';
import { SimpleWsWebSocket } from './SimpleWsWebSocket';
export declare class SimpleWsServer extends WsServer<SimpleWsWebSocket> {
    constructor(options?: ServerOptions, callback?: () => void);
    broadcastMessage<D = undefined>(roomId: '*' | string, type: string, data: D): void;
}
