import { WebSocket } from 'ws';
export declare class SimpleWsWebSocket extends WebSocket {
    id: string;
    metadata: Map<string, any>;
    private _rooms;
    private _alive;
    constructor(...args: any[]);
    _healthCheck(): void;
    sendMessage<D = undefined>(type: string, data: D): void;
    onMessage<D = undefined>(type: string, callback: (data: D) => void): () => void;
    get rooms(): Set<string>;
    joinRoom(roomId: string): void;
    leaveRoom(roomId: string): void;
}
